Subject: [KEYPROV] Algorithm Identifiers Interim Drafts

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Fri, 2 Nov 2007 13:00:59 -0700

Organizing these has taken more time than I expected. I have still not got round to entering the identifiers Russ sent me for the ECC algorithms into the database. 
 
I thought best to prove that I can extract data first.
 
So far I don't have references for the OTP algorithms. What I need for each is:
 
1) Document where the algorithm is defined
2) Document(s) where identifiers are assigned (if different)
3) Identifiers assigned

The source for the tool is an XML flat file and it spits out XMLRFC format.
 
The formatting is pretty rough at the moment.

To do list:
 
1) Modify the new tool to create references for all REF/ID pairs
2) Add sections listing algorithms by identifier type (e.g. all IPSEC, all OID, all URI, ...)
3) Add means of tracking algorithm status, e.g. DEPRECATED
4) Add in Deprecated algorithms referenced in existing IETF/W3C specs
 
5) Add in the OASIS WS-* and SAML identifiers
 
_______________________________________________
KEYPROV mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/keyprov